Ergebnis 1 bis 10 von 10
  1. #1
    LiveConfig-Team Avatar von kk
    Registriert seit
    10.12.2010
    Beiträge
    3.313

    LiveConfig v2.9.0

    Hallo,

    ab sofort steht LiveConfig v2.9.0 zum Download bereit.

    Der Schwerpunkt der Änderungen lag noch mal bei der Verwaltung von SSL-Zertifikaten und der Webspace-Konfiguration. Einige Workflows wurden noch etwas verbessert, und viele kleinere Fehler behoben. Die Liste aller Änderungen findet sich wie immer im Changelog - die wichtigsten Neuerungen sind:
    • Let's Encrypt: wenn LiveConfig auf dem Server private IPv4-Adressen erkennt und keine NAT-IPs dafür hinterlegt sind, führt es automatisch keine DNS-Checks mehr vor SSL-Bestellungen aus
    • Let's Encrypt: der DNS-Check kann zudem auch individuell deaktiviert werden, z.B. wenn die zu testende Domain über ein CDN betrieben wird
    • über die Lua-Variable LC.web.PHPCLI kann nun der PHP-CLI-Interpreter für den AppInstaller abweichend definiert werden (z.B. wenn die Distribution nur ein altes PHP5 ausliefert)
    • beim Löschen einer Domain können nun optional die damit verknüpften SSL-Zertifikate automatisch mit gelöscht werden
    • die Liste der SSL-Zertifikate (SSL-Verwaltung) kann nun gefiltert werden (abgelaufen, nicht zugewiesen, einem Kunden zugewiesen, ...)


    Die Versionsnummerierung wurde zudem auch geändert. Künftig tragen offizielle Releases nur noch das Suffix "-release" (die bisherige "Revision-Number" entfällt). Test-Builds haben immer ein Suffix in der Form "-dev20191202.1".

    Viele Grüße

    -Klaus Keppler

  2. #2
    Benutzer
    Registriert seit
    02.09.2014
    Beiträge
    98
    with new 2.9.0 version,
    updateing lcclients got this:

    Setting up lcclient (2.9.0-release) ...
    Installing new version of config file /etc/cron.d/liveconfig ...

    Configuration file '/etc/liveconfig/lcclient.conf'
    ==> Modified (by you or by a script) since installation.
    ==> Package distributor has shipped an updated version.
    What would you like to do about it ? Your options are:
    Y or I : install the package maintainer's version
    N or O : keep your currently-installed version
    D : show the differences between the versions
    Z : start a shell to examine the situation
    The default action is to keep your current version.
    *** lcclient.conf (Y/I/N/O/D/Z) [default=N] ? D

    Configuration file '/etc/liveconfig/lcclient.conf'
    ==> Modified (by you or by a script) since installation.
    ==> Package distributor has shipped an updated version.
    What would you like to do about it ? Your options are:
    Y or I : install the package maintainer's version
    N or O : keep your currently-installed version
    D : show the differences between the versions
    Z : start a shell to examine the situation
    The default action is to keep your current version.
    *** lcclient.conf (Y/I/N/O/D/Z) [default=N] ? Y
    Installing new version of config file /etc/liveconfig/lcclient.conf ...
    then lcclient cant connect to server, until server and host_id change in /etc/liveconfig/lcclient.conf

  3. #3
    LiveConfig-Team Avatar von kk
    Registriert seit
    10.12.2010
    Beiträge
    3.313
    You're explicitly asked whether your modified configuration should be overwritten or be kept. The default is even to keep your existing configuration.

    To be honest, I don't know what we should change here...

  4. #4
    Erfahrener Benutzer
    Registriert seit
    15.02.2016
    Beiträge
    293
    dito, vmtl. wegen
    -# $Id: lcclient.conf-dist.in 4106 2016-02-13 12:10:20Z kk $
    +# $Id$

    Code:
    Holen:1 http://repo.liveconfig.com/debian main/main amd64 lcclient amd64 2.9.0-release [4.916 kB]
    Es wurden 4.916 kB in 0 s geholt (57,9 MB/s).
    Vorkonfiguration der Pakete ...
    (Lese Datenbank ... 41015 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von .../lcclient_2.9.0-release_amd64.deb ...
    Entpacken von lcclient (2.9.0-release) über (2.8.4-r5653) ...
    lcclient (2.9.0-release) wird eingerichtet ...
    Neue Version der Konfigurationsdatei /etc/cron.d/liveconfig wird installiert ...
    
    Konfigurationsdatei »/etc/liveconfig/lcclient.conf«
     ==> Geändert (von Ihnen oder von einem Skript) seit der Installation.
     ==> Paketverteiler hat eine aktualisierte Version herausgegeben.
       Wie möchten Sie vorgehen? Ihre Wahlmöglichkeiten sind:
        Y oder I : Die Version des Paket-Betreuers installieren
        N oder O : Die momentan installierte Version beibehalten
           D     : Die Unterschiede zwischen den Versionen anzeigen
           Z     : Eine Shell starten, um die Situation zu begutachten
     Der Standardweg ist das Beibehalten der momentanen Version.
    *** lcclient.conf (Y/I/N/O/D/Z) [Vorgabe=N] ? d
    --- /etc/liveconfig/lcclient.conf       2018-01-11 22:44:22.469103817 +0100
    +++ /etc/liveconfig/lcclient.conf.dpkg-new      2019-11-29 18:14:32.000000000 +0100
    @@ -6,7 +6,7 @@
     # Copyright (c) 2009-2011 Keppler IT GmbH.
     # ----------------------------------------------------------------------------
     # Configuration file
    -# $Id: lcclient.conf-dist.in 4106 2016-02-13 12:10:20Z kk $
    +# $Id$
     # ----------------------------------------------------------------------------
    
     # ----------------------------------------------------------------------------
    @@ -56,10 +56,10 @@
     # Only ASCII characters are allowed!
     # If your host ID is changed, you need to re-activate your LiveConfig Client
     # license, and also update the host ID in the LiveConfig Server.
    -host_id = "XXXXXXX"
    +host_id = "YOUR HOST ID"
    
     # server: specify the LiveConfig server to connect to
     # (host name, IPv4- or IPv6 address with optional LCCP port)
    -server = "example.com"
    +server = INSERT.SERVER.NAME.HERE
    
     # <EOF>-----------------------------------------------------------------------
    
    Konfigurationsdatei »/etc/liveconfig/lcclient.conf«
     ==> Geändert (von Ihnen oder von einem Skript) seit der Installation.
     ==> Paketverteiler hat eine aktualisierte Version herausgegeben.
       Wie möchten Sie vorgehen? Ihre Wahlmöglichkeiten sind:
        Y oder I : Die Version des Paket-Betreuers installieren
        N oder O : Die momentan installierte Version beibehalten
           D     : Die Unterschiede zwischen den Versionen anzeigen
           Z     : Eine Shell starten, um die Situation zu begutachten
     Der Standardweg ist das Beibehalten der momentanen Version.
    *** lcclient.conf (Y/I/N/O/D/Z) [Vorgabe=N] ?
    Das Gras wächst nicht schneller wenn man daran zieht.

    Bitte keine unnötigen Vollzitate. "Antworten" genügt meistens!

  5. #5
    Erfahrener Benutzer
    Registriert seit
    07.04.2011
    Beiträge
    710
    Install etckeeper and never loose old versions any more.

    Checking what is being overridden is nevertheless a really great idea.

  6. #6
    Benutzer
    Registriert seit
    02.09.2014
    Beiträge
    98
    Löschen einer Domain mit bestehenden Postfächern als Wiederverkäufer führte manchmal zu einem Fehler (fehlende Berechtigungen)
    this problem with 2.9.0 still exist

  7. #7
    LiveConfig-Team Avatar von kk
    Registriert seit
    10.12.2010
    Beiträge
    3.313
    Zitat Zitat von leo Beitrag anzeigen
    this problem with 2.9.0 still exist
    Can you describe how to reproduce this? Or send us a screenshot to support@liveconfig.com.

  8. #8
    Benutzer
    Registriert seit
    02.09.2014
    Beiträge
    98
    already sent on 04.12.2019.
    replay to :
    LC#2019111234000046

  9. #9
    Benutzer
    Registriert seit
    27.10.2012
    Beiträge
    60
    Hallo, haben auf einigen Systemen das selbe Problem, das immer die Abfrgae kommt, ob man die neue lcclient conf installieren möchte...

  10. #10
    Erfahrener Benutzer
    Registriert seit
    15.02.2016
    Beiträge
    293
    @kk - Vermutung für die Ursache siehe #4.
    Das Gras wächst nicht schneller wenn man daran zieht.

    Bitte keine unnötigen Vollzitate. "Antworten" genügt meistens!

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •